const Parse = getApp().Parse;
const company = getApp().globalData.company
const dateF = require('../../../../utils/date')
let navigationBarHeight = getApp().globalData.statusBarHeight + 44;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        active: 0,
        goodsList: null,
        stickytop: navigationBarHeight,
        activeColor:''
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            activeColor:getApp().globalData.activeColor || '#229293'
        })
        this.queryOrder()
    },

    onChange(event) {
        this.setData({ active: event.detail.name })
        this.queryOrder()
    },
    async queryOrder() {
        let active = this.data.active
        console.log(active);
        let user = Parse.User.current()
        console.log(user.id);
        let Order = new Parse.Query('Order')
        Order.equalTo('company', company)
        Order.equalTo('user', user.id)
        Order.include('targetObject')
        Order.include('store')
        if (active == 1) {
            Order.equalTo('status', '100')
        }
        if (active == 2) {
            Order.greaterThan('status', '200')
            Order.lessThan('status', '400')
        }
        if (active == 3) {
            Order.equalTo('status', '400')
        }
        Order.equalTo('type', 'shop')
        let orders = await Order.find()
        if (orders && orders.length > 0) {
            let orderJSON = []
            orders.forEach(order => {
                let orderObj = order.toJSON()
                orderObj.orderTime = dateF.formatTime("YYYY-mm-dd HH:MM:SS", orderObj.createdAt)
                orderJSON.push(orderObj)
            })
            this.setData({
                goodsList: orderJSON
            })
            console.log(this.data.goodsList);
        } else {
            this.setData({
                goodsList: null
            })
        }
    },
    details(e) {
        let id = e.currentTarget.dataset.item.objectId
        wx.navigateTo({
            url: '/nova-tourism/pages/shop/order/index?id=' + id
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.queryOrder()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})